Subject: Question re. export environment variable
From: Fred Ma <[email-masked]>
To: [email-masked]
Date: Thu, 20 Feb 2003 11:19:17 -0500
Newsgroups: gnu.bash,comp.unix.shell,comp.unix.questions

Hello,

I'm using cygwin bash 2.05b-8 (it's actually gnu).
I thought that $HOSTNAME was an environment
variable.  When I run gnu make (I'm pretty
sure this is not a make problem), $(HOSTNAME)
is empty.  It gets fixed if I do "export HOSTNAME"
before running make.

Is there a way to check if the export command
has been applied to $HOSTNAME?  Does the
actual transcription of $HOSTNAME's value to
the environment happen only once, when
"export" is applied, or is there a continual
monitoring an mirroring of changes to $HOSTNAME
forever after applying "export"?

Fred

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/